Return information about a string buffer

- « Fileinfo Functions

- finfo_close »

- PHP Manual
- Fileinfo Functions
- Return information about a string buffer

# finfo_buffer

# finfo::buffer

(PHP 5 >= 5.3.0, PHP 7, PHP 8, PECL fileinfo >= 0.1.0)

finfo_buffer -- finfo::buffer — Return information about a string buffer

### Description

Procedural style

finfo_buffer(
finfo `$finfo`,
string `$string`,
int `$flags` = `FILEINFO_NONE`,
?resource `$context` = `null`
): string|false

Object-oriented style

public finfo::buffer(string `$string`, int `$flags` = `FILEINFO_NONE`, ?resource `$context` = `null`): string|false

This function is used to get information about binary data in a string.

### Parameters

`finfo`

  An finfo instance, returned by finfo_open().

`string`

  Content of a file to be checked.

`flags`

  One or disjunction of more Fileinfo constants.

`context`

### Return Values

Returns a textual description of the `string` argument, or `false` if an error occurred.

### Changelog

Version | Description
--- | ---
8.1.0 | The `finfo` parameter expects an finfo instance now; previously, a resource was expected.
8.0.0 | `context` is nullable now.

### Examples

Example #1 A finfo_buffer() example

    <?php$finfo = new finfo(FILEINFO_MIME);echo $finfo->buffer($_POST["script"]) . "\n";?>

The above example will output something similar to:

    application/x-sh; charset=us-ascii

### See Also

- finfo_file() - Alias of finfo_file()